summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJorge Manuel B. S. Vicetto <jmbsvicetto@gentoo.org>2011-03-28 22:36:13 +0000
committerJorge Manuel B. S. Vicetto <jmbsvicetto@gentoo.org>2011-03-28 22:36:13 +0000
commit2af532aa3a5b56353d0e1201bdb7606daa657633 (patch)
tree54139e5ec29d67c88684ff5c76c0d8eff6824f0d /eclass/mysql.eclass
parentPin dependencies to appropriate slots and use EAPI 3. (diff)
downloadgentoo-2-2af532aa3a5b56353d0e1201bdb7606daa657633.tar.gz
gentoo-2-2af532aa3a5b56353d0e1201bdb7606daa657633.tar.bz2
gentoo-2-2af532aa3a5b56353d0e1201bdb7606daa657633.zip
Fix the ncurses dep as the stable versions don't have the static-libs use flag.
Diffstat (limited to 'eclass/mysql.eclass')
-rw-r--r--eclass/mysql.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/mysql.eclass b/eclass/mysql.eclass
index 6c1c26ed42b2..1c8dc38a138d 100644
--- a/eclass/mysql.eclass
+++ b/eclass/mysql.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mysql.eclass,v 1.157 2011/03/26 23:44:43 jmbsvicetto Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mysql.eclass,v 1.158 2011/03/28 22:36:13 jmbsvicetto Exp $
# @ECLASS: mysql.eclass
# @MAINTAINER:
@@ -146,7 +146,7 @@ RDEPEND="${DEPEND}
selinux? ( sec-policy/selinux-mysql )"
if [ "${EAPI:-0}" = "2" ]; then
- DEPEND="${DEPEND} static? ( sys-libs/ncurses[static-libs] )"
+ DEPEND="${DEPEND} static? ( || ( sys-libs/ncurses[static-libs] <=sys-libs/ncurses-5.7-r3 ) )"
fi
# compile-time-only